curl "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY"
{
"webhooks": [
{
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
}
]
}
Webhooks
List webhooks
List all webhook endpoints configured for your workspace
GET
/
api
/
external
/
v1
/
webhooks
/
curl "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY"
{
"webhooks": [
{
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
}
]
}
string
required
Bearer {api_key}curl "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY"
{
"webhooks": [
{
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
}
]
}
secret is never included here — only present in the Create a webhook response, once.